import 'package:flutter/material.dart';
import 'package:ionicons/ionicons.dart';

import 'package:scrobbles/ui/pages/discoveries.dart';
import 'package:scrobbles/ui/pages/home.dart';
import 'package:scrobbles/ui/pages/statistics.dart';

class ActivityPageItem {
  final Icon icon;
  final Widget page;
  final String code;

  const ActivityPageItem({
    required this.icon,
    required this.page,
    required this.code,
  });
}

class ActivityPage {
  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    icon: Icon(Ionicons.home_outline),
    page: PageHome(),
    code: 'page_home',
  );

  static const indexDiscoveries = 1;
  static const pageDiscoveries = ActivityPageItem(
    icon: Icon(Ionicons.star_outline),
    page: PageDiscoveries(),
    code: 'page_discoveries',
  );

  static const indexStatistics = 2;
  static const pageStatistics = ActivityPageItem(
    icon: Icon(Ionicons.bar_chart_outline),
    page: PageStatistics(),
    code: 'page_statistics',
  );

  static Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexDiscoveries: pageDiscoveries,
    indexStatistics: pageStatistics,
  };

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static ActivityPageItem getPageItem(int pageIndex) {
    return items[pageIndex] ?? pageHome;
  }

  static Widget getPageWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }

  static int itemsCount = ActivityPage.items.length;
}
